2

I've been having some issues with the Plasma desktop since doing some updates. I'm running Debian Testing. Last Saturday, there was a set of upgrades related to the Plasma desktop:

Start-Date: 2018-08-25  09:38:51
Commandline: apt full-upgrade
Requested-By: <my username>
Install: pulseaudio-module-gsettings:amd64 (12.0-1, automatic)
Upgrade: milou:amd64 (4:5.13.1-1, 4:5.13.4-1), libkwinglutils11:amd64 (4:5.13.1-1+b1, 4:5.13.4-1), plasma-workspace:amd64 (4:5.13.2-1, 4:5.13.4-1), libtaskmanager6:amd64 (4:5.13.2-1, 4:5.13.4-1), libplasma-geolocation-interface5:amd64 (4:5.13.2-1, 4:5.13.4-1), liboxygenstyle5-5:amd64 (4:5.13.1-1, 4:5.13.4-1), libpowerdevilui5:amd64 (4:5.13.1-1, 4:5.13.4-1), kde-cli-tools:amd64 (4:5.13.1-1, 4:5.13.4-1), vim-common:amd64 (2:8.1.0229-1, 2:8.1.0320-1), bluedevil:amd64 (4:5.13.1-1, 4:5.13.4-1), breeze-cursor-theme:amd64 (4:5.13.1-1, 4:5.13.4-1), plasma-nm:amd64 (4:5.13.1-1, 4:5.13.4-1), plasma-pa:amd64 (4:5.13.1-1, 4:5.13.4-1), libpam-kwallet-common:amd64 (5.13.1-1, 5.13.4-1), plasma-dataengines-addons:amd64 (4:5.13.2-1, 4:5.13.4-1), libgegl-0.4-0:amd64 (0.4.6-1, 0.4.8-1), libpulsedsp:amd64 (11.1-5, 12.0-1), libarchive-zip-perl:amd64 (1.62-2, 1.63-1), pulseaudio:amd64 (11.1-5, 12.0-1), kwin-style-breeze:amd64 (4:5.13.1-1, 4:5.13.4-1), kwin-data:amd64 (4:5.13.1-1, 4:5.13.4-1), ksshaskpass:amd64 (4:5.13.1-1, 4:5.13.4-1), plasma-wallpapers-addons:amd64 (4:5.13.2-1, 4:5.13.4-1), plasma-discover-backend-snap:amd64 (5.13.1-1, 5.13.4-1), libopenmpi3:amd64 (3.1.1.real-4+b1, 3.1.1.real-7), systemsettings:amd64 (4:5.13.1-1, 4:5.13.4-1), plasma-discover-common:amd64 (5.13.1-1, 5.13.4-1), libgegl-common:amd64 (0.4.6-1, 0.4.8-1), p11-kit:amd64 (0.23.12-2, 0.23.13-2), kde-style-breeze:amd64 (4:5.13.1-1, 4:5.13.4-1), libnatpmp1:amd64 (20150609-4, 20150609-5), kmenuedit:amd64 (4:5.13.1-1, 4:5.13.4-1), khotkeys:amd64 (4:5.13.1-1, 4:5.13.4-1), plasma-discover:amd64 (5.13.1-1, 5.13.4-1), breeze:amd64 (4:5.13.1-1, 4:5.13.4-1), kde-style-oxygen-qt5:amd64 (4:5.13.1-1, 4:5.13.4-1), plasma-desktop:amd64 (4:5.13.1.1-1, 4:5.13.4-1), openmpi-common:amd64 (3.1.1.real-4+b1, 3.1.1.real-7), kactivitymanagerd:amd64 (5.13.1-1, 5.13.4-1), paprefs:amd64 (0.9.10-2+b1, 0.9.10-3), pulseaudio-module-zeroconf:amd64 (11.1-5, 12.0-1), p11-kit-modules:amd64 (0.23.12-2, 0.23.13-2), user-manager:amd64 (4:5.13.1-1, 4:5.13.4-1), kde-style-breeze-qt4:amd64 (4:5.13.1-1, 4:5.13.4-1), libkwineffects11:amd64 (4:5.13.1-1+b1, 4:5.13.4-1), plasma-desktop-data:amd64 (4:5.13.1.1-1, 4:5.13.4-1), powerdevil-data:amd64 (4:5.13.1-1, 4:5.13.4-1), libkworkspace5-5:amd64 (4:5.13.2-1, 4:5.13.4-1), kde-cli-tools-data:amd64 (4:5.13.1-1, 4:5.13.4-1), libinput-bin:amd64 (1.11.2-1, 1.11.3-1), plasma-runners-addons:amd64 (4:5.13.2-1, 4:5.13.4-1), oxygen-sounds:amd64 (4:5.13.1-1, 4:5.13.4-1), kde-config-sddm:amd64 (4:5.13.1-1, 4:5.13.4-1), libpam-kwallet5:amd64 (5.13.1-1, 5.13.4-1), kgamma5:amd64 (5.13.1-1, 5.13.4-1), libpulse0:amd64 (11.1-5, 12.0-1), libpulse0:i386 (11.1-5, 12.0-1), sddm-theme-breeze:amd64 (4:5.13.2-1, 4:5.13.4-1), plasma-browser-integration:amd64 (5.13.1-1, 5.13.4-1), kwayland-integration:amd64 (5.13.1-1, 5.13.4-1), libbabl-0.1-0:amd64 (0.1.54-1, 0.1.56-1), libpulse-mainloop-glib0:amd64 (11.1-5, 12.0-1), kinfocenter:amd64 (4:5.13.1-1, 4:5.13.4-1), kwrited:amd64 (4:5.13.1-1, 4:5.13.4-1), libcolorcorrect5:amd64 (4:5.13.2-1, 4:5.13.4-1), plasma-integration:amd64 (5.13.1-1+b1, 5.13.4-1), sddm-theme-debian-breeze:amd64 (4:5.13.2-1, 4:5.13.4-1), xxd:amd64 (2:8.1.0229-1, 2:8.1.0320-1), xserver-xorg-video-ati:amd64 (1:18.0.1-1+b1, 1:18.0.1-2), kwin-x11:amd64 (4:5.13.1-1+b1, 4:5.13.4-1), drkonqi:amd64 (5.13.1-1, 5.13.4-1), ksysguard-data:amd64 (4:5.13.1-1, 4:5.13.4-1), libostree-1-1:amd64 (2018.7-2, 2018.8-1), libkwin4-effect-builtins1:amd64 (4:5.13.1-1+b1, 4:5.13.4-1), ksysguardd:amd64 (4:5.13.1-1, 4:5.13.4-1), xserver-xorg-video-radeon:amd64 (1:18.0.1-1+b1, 1:18.0.1-2), findutils:amd64 (4.6.0+git+20171230-2, 4.6.0+git+20180808-2), plasma-discover-backend-flatpak:amd64 (5.13.1-1, 5.13.4-1), unattended-upgrades:amd64 (1.4, 1.5), pulseaudio-module-bluetooth:amd64 (11.1-5, 12.0-1), libkfontinstui5:amd64 (4:5.13.1.1-1, 4:5.13.4-1), vim-tiny:amd64 (2:8.1.0229-1, 2:8.1.0320-1), libp11-kit0:amd64 (0.23.12-2, 0.23.13-2), libp11-kit0:i386 (0.23.12-2, 0.23.13-2), polkit-kde-1:amd64 (4:5.13.1-1, 4:5.13.4-1), minissdpd:amd64 (1.5.20180223-2, 1.5.20180223-3), libkfontinst5:amd64 (4:5.13.1.1-1, 4:5.13.4-1), polkit-kde-agent-1:amd64 (4:5.13.1-1, 4:5.13.4-1), khotkeys-data:amd64 (4:5.13.1-1, 4:5.13.4-1), openmpi-bin:amd64 (3.1.1.real-4+b1, 3.1.1.real-7), pulseaudio-utils:amd64 (11.1-5, 12.0-1), kdeplasma-addons-data:amd64 (4:5.13.2-1, 4:5.13.4-1), liboxygenstyleconfig5-5:amd64 (4:5.13.1-1, 4:5.13.4-1), libkwinxrenderutils11:amd64 (4:5.13.1-1+b1, 4:5.13.4-1), powerdevil:amd64 (4:5.13.1-1, 4:5.13.4-1), libpowerdevilcore2:amd64 (4:5.13.1-1, 4:5.13.4-1), ksysguard:amd64 (4:5.13.1-1, 4:5.13.4-1), kwin-common:amd64 (4:5.13.1-1+b1, 4:5.13.4-1), qml-module-qtquick-controls-styles-breeze:amd64 (4:5.13.1-1, 4:5.13.4-1), plasma-widgets-addons:amd64 (4:5.13.2-1, 4:5.13.4-1), libinput10:amd64 (1.11.2-1, 1.11.3-1), libweather-ion7:amd64 (4:5.13.2-1, 4:5.13.4-1)
Remove: libpmix2:amd64 (3.0.0-1), pulseaudio-module-gconf:amd64 (11.1-5)
End-Date: 2018-08-25  09:42:44

This broke some annoying things:

  • The Systray plasmoid/widget doesn't load anymore. This includes things like not connecting to Wifi networks anymore.
  • Some hotkeys don't work anymore, e.g., clipboard related ones (Crtl+C, Ctrl+X, Ctrl+V, although the actions still work via right-click menu) and volume settings.
  • Searching for programs doesn't work anymore in the menu (Tiled Menu) or Krunner. It doesn't crash, but nothing happens.

In particular, the Systray not loading is the biggest issue. I'm at a loss with finding out what could have gone wrong and what I can do to fix it. The issue has occured on two different machines, both running Debian Testing on the same configuration. I was unable to find any bugs filed with KDE or Debian, but I'm reluctant to open new ones until I'm sure that I'm not the one who broke it.

I would appreciate pointers to either troubleshooting directions or solutions.

  • We don't allow "I have this problem too" answers since they don't solve the problem, but since you said "I'm reluctant to open new ones until I'm sure that I'm not the one who broke it." I wanted to mention there's been two answers so far with the same issue after updating, so it sounds like an actual upstream issue – Michael Mrozek Aug 27 '18 at 21:12
3

The issue is 'Debian upstream'. See this report at bus.debian.org.

There is a workaround solution. You can build the plasma-workspace package manually from the Debian source repository, which you must enable first.

  • apt build-dep plasma-workspace
  • apt source plasma-workspace
  • dpkg-buildpackage
  • Install the resulting plasma-desktop.deb file with dpkg -i <file>

I would highly recommend you wait until Debian upstream fixes its package.

  • Thank you, the issue has indeed been fixed by one of the last upgrades. – JanKrAppel Sep 2 '18 at 12:32
  • Just to follow up for other people who find this: As of 2018-09-02, Debian testing - updating the system with apt upgrade and restarting KDE resolves the problem. – ender.qa Sep 3 '18 at 15:38

protected by Michael Mrozek Aug 27 '18 at 21:09

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.